#!/usr/bin/env python3
# -*- coding:utf-8 -*-

from flask import Flask, render_template, Response,request
from camera_pi import Camera
import os, re
import time





app = Flask(__name__)

@app.route('/')
def index():
    """Video streaming home page."""
    return render_template('index.html')

def gen(camera):
    """Video streaming generator function."""
    yield b'--frame\r\n'
    while True:
        frame = camera.get_frame()
        yield b'Content-Type: image/jpeg\r\n\r\n' + frame + b'\r\n--frame\r\n'
@app.route('/video_feed')
def video_feed():
    """Video streaming route. Put this in the src attribute of an img tag."""
    return Response(gen(Camera()),
                    mimetype='multipart/x-mixed-replace; boundary=frame')

if __name__ == '__main__':
    os.system("/etc/rc.local")
    time.sleep(1)
    app.run(host='0.0.0.0', threaded=True,debug = False)

